Commit 0bbfca6d authored by Simon McVittie's avatar Simon McVittie

autogen.sh: fail cleanly if autoconf fails

Signed-off-by: 's avatarSimon McVittie <simon.mcvittie@collabora.co.uk>
parent 73b03e0b
......@@ -81,7 +81,10 @@ $ACLOCAL -I m4 $ACLOCAL_FLAGS
(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
$AUTOMAKE -a $am_opt
autoconf || echo "autoconf failed - version 2.5x is probably required"
if ! autoconf; then
echo "autoconf failed - version 2.5x is probably required" >&2
exit 1
fi
cd $ORIGDIR
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment